"""Handle projects."""

from os.path import realpath
from pathlib import Path


class Project:
    """Parent class for any type of project."""

    def __init__(self, file_path: str) -> None:
        """Set file, root & name."""
        self.file: str = realpath(file_path)
        self.root: str = Path(self.file).parent
        self.name: str = self.root.name
